Bug 2181971 - perl-Glib-Object-Introspection-0.050 is available
Summary: perl-Glib-Object-Introspection-0.050 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Glib-Object-Introspection
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-27 06:05 UTC by Upstream Release Monitoring
Modified: 2024-02-18 05:38 UTC (History)
4 users (show)

Fixed In Version: perl-Glib-Object-Introspection-0.050-2.fc39 perl-Glib-Object-Introspection-0.050-3.fc37 perl-Glib-Object-Introspection-0.050-3.fc36 perl-Glib-Object-Introspection-0.050-3.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-12 01:32:22 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 0.050 (#2181971) (1.19 KB, patch)
2023-03-27 06:05 UTC, Upstream Release Monitoring
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
CPAN 147409 0 None None None 2023-03-29 07:41:23 UTC
GNOME Gitlab GNOME perl-glib-object-introspection merge_requests 8 0 None merged Check for empty closures 2023-03-30 11:04:47 UTC

Description Upstream Release Monitoring 2023-03-27 06:05:14 UTC
Releases retrieved: 0.050
Upstream release that is considered latest: 0.050
Current version/release in rawhide: 0.049-11.fc38
URL: http://search.cpan.org/dist/Glib-Object-Introspection/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/2924/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/perl-Glib-Object-Introspection

Comment 1 Upstream Release Monitoring 2023-03-27 06:05:18 UTC
Created attachment 1953871 [details]
Update to 0.050 (#2181971)

Comment 2 Upstream Release Monitoring 2023-03-27 06:11:56 UTC
the-new-hotness/release-monitoring.org's scratch build of perl-Glib-Object-Introspection-0.050-1.fc36.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=99177575

Comment 3 Fedora Update System 2023-03-27 13:59:07 UTC
FEDORA-2023-d48671ebd2 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d48671ebd2

Comment 4 Fedora Update System 2023-03-27 13:59:16 UTC
FEDORA-2023-43ac6bf5f5 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-43ac6bf5f5

Comment 5 Fedora Update System 2023-03-27 13:59:33 UTC
FEDORA-2023-f98d2dea6c has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f98d2dea6c

Comment 6 Fedora Update System 2023-03-28 03:28:21 UTC
FEDORA-2023-43ac6bf5f5 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-43ac6bf5f5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-43ac6bf5f5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-03-28 03:43:09 UTC
FEDORA-2023-d48671ebd2 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d48671ebd2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-03-28 04:08:48 UTC
FEDORA-2023-f98d2dea6c has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f98d2dea6c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f98d2dea6c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Petr Pisar 2023-03-29 07:13:37 UTC
This breaks perl-Gtk3 tests:

test@fedora-39:~/fedora/perl-Gtk3/Gtk3-0.038 $ xvfb-run -d make test
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-init.t .................... 1/16 # Testing Gtk3 0.038
#    Running against gtk+ 3.24.37
#   Compiled against gtk+ 3.24.37
t/00-init.t .................... ok
t/floating-refs.t .............. ok
t/overrides.t .................. Failed 178/233 subtests
t/signals.t .................... ok
t/vfuncs-destroy.t ............. ok
t/vfuncs-double-setup.t ........ ok
t/zz-GdkEvent.t ................ Failed 5/146 subtests
t/zz-GtkActionGroup.t .......... ok
t/zz-GtkBuilder.t .............. ok
t/zz-GtkCellLayoutIface.t ...... Failed 2/35 subtests
t/zz-GtkCellRendererIface.t .... ok
t/zz-GtkContainer.t ............ ok
t/zz-GtkDialog.t ............... ok
t/zz-GtkImage.t ................ ok
t/zz-GtkInfoBar.t .............. ok
t/zz-GtkRadioAction.t .......... ok
t/zz-GtkRadioButton.t .......... ok
t/zz-GtkRadioMenuItem.t ........ ok
t/zz-GtkRadioToolButton.t ...... ok
t/zz-GtkRecentChooserDialog.t .. ok
t/zz-GtkTextBuffer.t ........... ok
t/zz-GtkTreeModelIface.t ....... ok

Test Summary Report
-------------------
t/overrides.t                (Wstat: 139 (Signal: SEGV, dumped core) Tests: 55 Failed: 0)
  Non-zero wait status: 139
  Parse errors: Bad plan.  You planned 233 tests but ran 55.
t/zz-GdkEvent.t              (Wstat: 139 (Signal: SEGV, dumped core) Tests: 141 Failed: 0)
  Non-zero wait status: 139
  Parse errors: Bad plan.  You planned 146 tests but ran 141.
t/zz-GtkCellLayoutIface.t    (Wstat: 139 (Signal: SEGV, dumped core) Tests: 33 Failed: 0)
  Non-zero wait status: 139
  Parse errors: Bad plan.  You planned 35 tests but ran 33.
Files=22, Tests=761,  4 wallclock secs ( 0.08 usr  0.03 sys +  3.00 cusr  0.63 csys =  3.74 CPU)
Result: FAIL

Comment 10 Sergio Basto 2023-03-29 15:02:41 UTC
Hi, thank you for the report did you test it on F37 ? IIRC xvfb-run started segfaults on many builds , for example I can't build opencv on F38+ and 
https://bugzilla.redhat.com/show_bug.cgi?id=2165431#c3

Comment 11 Petr Pisar 2023-03-29 15:11:35 UTC
I tested on all Fedora releases with xfvb-run. Everywhere the same result. I will try again with a real X server, but I don't believe it's a problem in Xvfb.

Comment 12 Petr Pisar 2023-03-30 10:47:37 UTC
It segfaults even when running (on Fedora 39) against a real X server (on Fedora 36):

(gdb) bt
#0  g_callable_info_get_closure_native_address
    (callable_info=callable_info@entry=0x555556d6cfd0, closure=0x0) at ../girepository/girffi.c:427
#1  0x00007ffff6ad7a5e in sv_to_callback
    (invocation_info=0x7fffffffdd20, sv=0x5555555593e0, type_info=0x1, arg_info=0x555555739308)
    at /usr/src/debug/perl-Glib-Object-Introspection-0.050-1.fc39.x86_64/gperl-i11n-marshal-callback.c:60
#2  sv_to_interface (arg_info=0x555555739308, 
    arg_info@entry=0x7fffffffdd20, type_info=type_info@entry=0x555556d1ae88, transfer=GI_TRANSFER_NOTHING, 
    transfer@entry=(GI_TRANSFER_CONTAINER | unknown: 0x5554), may_be_null=may_be_null@entry=1, sv=sv@entry=0x5555555593e0, arg=0x555556d22a58, invocation_info=0x7fffffffdd20)
    at /usr/src/debug/perl-Glib-Object-Introspection-0.050-1.fc39.x86_64/gperl-i11n-marshal-interface.c:303
#3  0x00007ffff6ad88f1 in sv_to_arg
    (sv=sv@entry=0x5555555593e0, arg=<optimized out>, arg_info=0x7fffffffdd20, 
    arg_info@entry=0x555555739308, type_info=type_info@entry=0x555556d1ae88, transfer=(GI_TRANSFER_CONTAINER | unknown: 0x5554), 
    transfer@entry=GI_TRANSFER_NOTHING, may_be_null=may_be_null@entry=1, invocation_info=<optimized out>) at /usr/src/debug/perl-Glib-Object-Introspection-0.050-1.fc39.x86_64/gperl-i11n-marshal-arg.c:102
#4  0x00007ffff6ae0858 in invoke_c_code
    (info=info@entry=0x555556d074c0, func_pointer=<optimized out>, sp=sp@entry=0x555556ee8b40, ax=ax@entry=1, items=items@entry=7, internal_stack_offset=internal_stack_offset@entry=4, package=<optimized out>, namespace=<optimized out>, function=<optimized out>, mark=<optimized out>)
    at /usr/src/debug/perl-Glib-Object-Introspection-0.050-1.fc39.x86_64/gperl-i11n-invoke-c.c:107
#5  0x00007ffff6ae1b28 in XS_Glib__Object__Introspection_invoke
    (my_perl=<optimized out>, cv=<optimized out>)
    at /usr/src/debug/perl-Glib-Object-Introspection-0.050-1.fc39.x86_64/GObjectIntrospection.xs:1020
#6  0x00007ffff7d25fea in Perl_pp_entersub (my_perl=0x5555555592a0)
    at /usr/src/debug/perl-5.36.0-495.fc38.x86_64/pp_hot.c:5352
#7  0x00007ffff7d173a8 in Perl_runops_standard (my_perl=0x5555555592a0)
    at /usr/src/debug/perl-5.36.0-495.fc38.x86_64/run.c:41
#8  0x00007ffff7c8205d in S_run_body (oldscope=<optimized out>, my_perl=<optimized out>)
    at /usr/src/debug/perl-5.36.0-495.fc38.x86_64/perl.c:2721
#9  perl_run (my_perl=0x5555555592a0) at /usr/src/debug/perl-5.36.0-495.fc38.x86_64/perl.c:2644
#10 0x000055555555534a in main (argc=<optimized out>, argv=<optimized out>, env=<optimized out>)
    at /usr/src/debug/perl-5.36.0-495.fc38.x86_64/perlmain.c:110

(gdb) list
422     gpointer *
423     g_callable_info_get_closure_native_address (GICallableInfo       *callable_info,
424                                                 ffi_closure          *closure)
425     {
426       GIClosureWrapper *wrapper = (GIClosureWrapper *)closure;
427       return wrapper->native_address;
428     }
429
430     /**
431      * g_callable_info_destroy_closure:

(gdb) p wrapper
$1 = (GIClosureWrapper *) 0x0

It's a NULL pointer dereference.

Comment 13 Petr Pisar 2023-03-30 11:04:47 UTC
Upstream has committed a fix <https://gitlab.gnome.org/GNOME/perl-glib-object-introspection/-/merge_requests/8>. I successfully tested it.

Would you mind if I changed perl-Gtk3 and perl-Glib-Object-Introspection packages in a way that whenever a new perl-Glib-Object-Introspection goes through Bodhi, perl-Gtk3 tests are run? I would achieve that by packaging tests into a subpackage and set up gating tests to execute the tests.

Comment 14 Daniel Berrangé 2023-03-30 11:09:41 UTC
Yes, sounds like a good idea to have  some testing of this combination.

Comment 15 Sergio Basto 2023-03-30 11:41:29 UTC
(In reply to Petr Pisar from comment #13)

> Would you mind if I changed perl-Gtk3 and perl-Glib-Object-Introspection
> packages in a way that whenever a new perl-Glib-Object-Introspection goes
> through Bodhi, perl-Gtk3 tests are run? I would achieve that by packaging
> tests into a subpackage and set up gating tests to execute the tests.


I appreciate it, please go ahead .

Thank you

Comment 16 Petr Pisar 2023-03-30 14:32:44 UTC
I modified perl-Glib-Object-Introspection in dist-git. Tomorrow I will change perl-Gtk3, hook perl-Gtk3 into perl-Glib-Object-Introspection gating, and build them in a side tag.

Comment 17 Fedora Update System 2023-03-31 11:46:18 UTC
FEDORA-2023-9cec1a7508 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9cec1a7508

Comment 18 Fedora Update System 2023-03-31 11:52:15 UTC
FEDORA-2023-9cec1a7508 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Petr Pisar 2023-03-31 14:58:06 UTC
I finished changing Rawhide. Here <https://bodhi.fedoraproject.org/updates/FEDORA-2023-5e25b6ceb7> you can see a standalone update for perl-Glib-Object-Introspection which under fedora-ci.koji-build.tier0.functional Automated tests shows passed tests for both perl-Glib-Object-Introspection and perl-Gtk3 package.

Now I apply these changes to all Fedoras where an update with perl-Glib-Object-Introspection-0.050 has been submitted.

Comment 20 Sergio Basto 2023-03-31 16:28:06 UTC
(In reply to Petr Pisar from comment #19)
> Now I apply these changes to all Fedoras where an update with
> perl-Glib-Object-Introspection-0.050 has been submitted.

Many thanks , I hope I did the right thing on update on stable branches ...

Comment 21 Fedora Update System 2023-04-03 07:00:09 UTC
FEDORA-2023-d48671ebd2 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d48671ebd2

Comment 22 Fedora Update System 2023-04-03 07:00:35 UTC
FEDORA-2023-43ac6bf5f5 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-43ac6bf5f5

Comment 23 Fedora Update System 2023-04-03 07:01:09 UTC
FEDORA-2023-f98d2dea6c has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f98d2dea6c

Comment 24 Fedora Update System 2023-04-12 01:32:22 UTC
FEDORA-2023-43ac6bf5f5 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2023-04-12 01:38:15 UTC
FEDORA-2023-f98d2dea6c has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2023-04-15 02:02:29 UTC
FEDORA-2023-d48671ebd2 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Sergio Basto 2024-02-18 05:38:03 UTC
FYI, perl-Glib-Object-Introspection-0.051 is going to rawhide and f40


Note You need to log in before you can comment on or make changes to this bug.